=== debian/control ===
Source: ros-foxy-rqt-reconfigure
Section: misc
Priority: optional
Maintainer: Scott K Logan <logans@cottsay.net>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-copyright, ros-foxy-ament-flake8, ros-foxy-ament-xmllint, ros-foxy-ros-workspace, python3-all, python3-setuptools
Homepage: http://wiki.ros.org/rqt_reconfigure
Standards-Version: 3.9.2

Package: ros-foxy-rqt-reconfigure
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-yaml, ros-foxy-ament-index-python, ros-foxy-python-qt-binding (>= 0.2.19), ros-foxy-qt-gui-py-common, ros-foxy-rclpy, ros-foxy-rqt-console, ros-foxy-rqt-gui, ros-foxy-rqt-gui-py, ros-foxy-rqt-py-common, ros-foxy-ros-workspace
Description: This rqt plugin provides a way to view and edit parameters on nodes.
